"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Char = void 0;
class Char {
    constructor(string) {
        this.type = 'char';
        string = string[0];
        this.string = string >= ' ' ? string : ' ';
    }
    clone() {
        return new Char(this.string);
    }
    static lines(string, limit = -1) {
        const arrays = [];
        let count = 0, last = 0;
        for (let i = 0; i < string.length; i++) {
            count++;
            if (string[i] === '\n') {
                arrays.push(string.slice(last, i));
                last = i + 1;
                count = 0;
                continue;
            }
            if (limit > 0 && count >= limit) {
                arrays.push(string.slice(last, i + 1));
                last = i + 1;
                count = 0;
                continue;
            }
            continue;
        }
        arrays.push(string.slice(last));
        const lines = [];
        for (let i = 0; i < arrays.length; i++) {
            const array = arrays[i];
            const line = [];
            for (let i = 0; i < array.length; i++) {
                const string = array[i];
                if (string >= ' ')
                    line.push(new Char(string));
            }
            lines.push(line);
        }
        return lines;
    }
}
exports.Char = Char;
//# sourceMappingURL=char.js.map